Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.console.extensibility
Interface Catalog

public interface Catalog

Interface to a read-only set of named text entries.

Author:
  Copyright 2001 BEA Systems. All Rights Reserved.

Inner Class Summary
`static class` | `Catalog.Factory` Use this class to retrieve instances of Catalog which are correctly localized for the given page context.

Method Summary
`java.lang.String` | `getFormattedText(java.lang.String id, java.lang.String arg0)` Convenience method, substitutes arg1 into the standard MessageFormat string found in the catalog at the given id.
`java.lang.String` | `getFormattedText(java.lang.String id, java.lang.String arg0, java.lang.String arg1)` Convenience method, substitutes arg1 into the standard MessageFormat string found in the catalog at the given id.
`java.lang.String` | `getText(java.lang.String id)` Returns text from the catalog having the given id.

Method Detail

### getText

    public java.lang.String getText(java.lang.String id)

  Returns text from the catalog having the given id. Leading and trailing whitespace is trimmed from the catalog entry.

### getFormattedText

    public java.lang.String getFormattedText(java.lang.String id,
                                             java.lang.String arg0)

  Convenience method, substitutes arg1 into the standard MessageFormat string found in the catalog at the given id. For example, if the catalog text at the id is 'This is a {0}' and arg0 is 'test', the string returned will be 'This is a test'.

### getFormattedText

    public java.lang.String getFormattedText(java.lang.String id,
                                             java.lang.String arg0,
                                             java.lang.String arg1)

  Convenience method, substitutes arg1 into the standard MessageFormat string found in the catalog at the given id. For example, if the catalog text at the id is 'This is a {0} {1}' and arg0 and arg1 are 'big' and 'test', the string returned will be 'This is a big test'.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference